List attacks

Returns the attacks detected for the specified security profile on the specified resource, which can be an infrastructure, a directory, a hostname or an IP address.

Requires one of the following license types: ioa or ioaPreview. See License Types.

Requires the Read permission on the Profiles, Domains, and Indicators of Attack entities (read:profile, read:directory, read:attack-type). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the security profile.

Query Params
attackTypeIds
array of strings

Returns attacks detected by the specified attack types.

attackTypeIds
date-time

Specifies the end of the time range for the attacks to return, as an ISO timestamp.

date-time

Specifies the start of the time range for the attacks to return, as an ISO timestamp.

string
enum

Specifies whether to include closed attacks.

Allowed:
string
^[0-9]+$

Specifies the maximum number of attacks to return.

string
enum

Specifies the sort direction of the attacks.

Allowed:
string
enum
required

Specifies the type of resource to return attacks for. Use with resourceValue.

Allowed:
string
required

Specifies the resource to return attacks for, according to resourceType: the ID of an infrastructure or directory, a hostname, or an IP address.

Returns attacks that match the specified search string.

Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json